Subject: RE: [Sigtran] M2PA V6: T7

From: Tolga Asveren <[email-masked]>
Date: Sat, 5 Oct 2002 11:43:17 -0400

Brian,

> 
> > > This is far too drastic.  M2PA can allow 0.5 to 2.0 
> seconds but it is
> > > normally 1 second.  Dropping the association on every 
> 300ms delay will
> > > cause changeover and increase in message loss and missequencing.
> > [TOLGA] Association won't be dropped at 300ms but at 900ms.
> 
> On the low end, even with RTO.Min = RTO.Max = 150ms, you can fail
> in 300ms. (Because of the SACK delay problem.)
[TOLGA] I think, while you are saying M2PA allows between 0.5-2 with a
normal value of 1, you refer to T7(?)What we try to achieve with SCTP
parameters does not have too much to do with it. M2PA expects some
performance from SCTP, and we try to guarantee it. This like MTP2 is
expecting some performance from the wire.And when SCTP can't achieve the
requirement, it drops the association, this is different than failing the
link because of T7 in M2PA.
> 
> > > 
> > > So you see, when counting retransmits with sliding window, 
> > > delay varies
> > > widely.  The definitive way is to time the message 
> > > acknowledgement itself
> > > at the M2PA level (which includes queueing delays in the 
> remote M2PA
> > > that SCTP is completely unaware of).
> > > 
> > > If you set these values too low, you will just make the 
> > > association more
> > > brittle than desirable.  If you set them too high 
> excessive delays can
> > > go undetected.  And with sliding windows there is really no middle
> > > ground.
> > [TOLGA]IMO, the values I gave are reasonable, i.e. 150ms is 
> not too low and
> > 900ms is not too high.
> 
> 300ms is too low because T7 is normally 1.0 seconds.  You are 
> not allowed
> in MTP2 to fail a link at 30% of T7.
[TOLGA] For the reasons I mentioned above, those two different things,
happening at two different layers.
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran